Lucene search

K
kasperskyKaspersky LabKLA60812
HistorySep 26, 2023 - 12:00 a.m.

KLA60812 Multiple vulnerabilities in Mozilla Firefox

2023-09-2600:00:00
Kaspersky Lab
threats.kaspersky.com
16
mozilla firefox
vulnerabilities
update
denial of service
arbitrary code
sensitive information
cve-2023-5169
cve-2023-5173
cve-2023-5168
cve-2023-5175
cve-2023-5171
cve-2023-5176
cve-2023-5174
cve-2023-5172
cve-2023-5170

CVSS3

9.8

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

AI Score

10

Confidence

High

EPSS

0.001

Percentile

47.8%

Multiple vulnerabilities were found in Mozilla Firefox. Malicious users can exploit these vulnerabilities to cause denial of service, execute arbitrary code, obtain sensitive information.

Below is a complete list of vulnerabilities:

  1. Out of bounds write vulnerability in PathOps can be exploited to cause denial of service.
  2. Out of bounds write vulnerability in HTTP Alternate Services can be exploited to cause denial of service.
  3. Out of bounds write vulnerability in FilterNodeD2D1 can be exploited to cause denial of service.
  4. Use after free vulnerability of ImageBitmap during process shutdown can be exploited to cause denial of service.
  5. Use after free vulnerability in Ion Compiler can be exploited to cause denial of service.
  6. Memory safety vulnerability can be exploited to execute arbitrary code.
  7. Double-free vulnerability in process spawning on Windows can be exploited to cause denial of service.
  8. Memory corruption vulnerability in Ion Hints can be exploited to cause denial of service.
  9. A memory leak vulnerability can be exploited to obtain sensitive information.

Original advisories

MFSA2023-41

Related products

Mozilla-Firefox

CVE list

CVE-2023-5169 high

CVE-2023-5173 critical

CVE-2023-5168 critical

CVE-2023-5175 critical

CVE-2023-5171 high

CVE-2023-5176 critical

CVE-2023-5174 critical

CVE-2023-5172 critical

CVE-2023-5170 high

Solution

Update to the latest version

Download Firefox

Impacts

  • ACE

Arbitrary code execution. Exploitation of vulnerabilities with this impact can lead to executing by abuser any code or commands at vulnerable machine or process.

  • OSI

Obtain sensitive information. Exploitation of vulnerabilities with this impact can lead to capturing by abuser information, critical for user or system.

  • DoS

Denial of service. Exploitation of vulnerabilities with this impact can lead to loss of system availability or critical functional fault.

  • SB

Security bypass. Exploitation of vulnerabilities with this impact can lead to performing actions restricted by current security settings.

  • PE

Privilege escalation. Exploitation of vulnerabilities with this impact can lead to performing by abuser actions, which are normally disallowed for current role.

  • SUI

Spoof user interface. Exploitation of vulnerabilities with this impact can lead to changes in user interface to beguile user into inaccurate behavior.

Affected Products

  • Mozilla Firefox earlier than 118

CVSS3

9.8

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

AI Score

10

Confidence

High

EPSS

0.001

Percentile

47.8%